# MatrixBuilder

open class MatrixBuilder < T >(source)

## Constructors

MatrixBuilder
Link copied to clipboard
constructor()

## Properties

matrix
Link copied to clipboard
val matrix : Matrix < T >

## Functions

add
Link copied to clipboard
fun add (t: List < T >): Boolean
plus
Link copied to clipboard
operator fun plus (t: List < T >): Boolean
row
Link copied to clipboard
fun row (t: List < T >): Boolean
row
Link copied to clipboard
fun < T > MatrixBuilder < T >. row (block: RowBuilder < T >.() -> Unit ): Boolean
fun < T > MatrixBuilder < T >. row (vararg elements: T ): Boolean
unaryPlus
Link copied to clipboard
operator fun T . unaryPlus (): Boolean
operator fun List < T >. unaryPlus (): Boolean